<template>
  <dynamic-table v-if="componentVO.uiComponentType=='table'"
                 :key="areasName+'table-'+componentVO.oid"
                 :inDialog="inDialog"
                 :componentVO="componentVO"
                 :sourceData="sourceData"
                 :areasName="areasName"
                 :paramVOS="paramVOS"
                 :isShow="isShow">

  </dynamic-table>
  <dynamic-form v-else-if="componentVO.uiComponentType=='form'"
                :key="areasName+'form-'+componentVO.oid"
                :inDialog="inDialog"
                :componentVO="componentVO"
                :sourceData="sourceData"
                :areasName="areasName"
                :paramVOS="paramVOS"
                :isShow="isShow">

  </dynamic-form>
  <dynamic-tree v-else-if="componentVO.uiComponentType=='tree'"
                :key="areasName+'tree-'+componentVO.oid"
                :inDialog="inDialog"
                :componentVO="componentVO"
                :sourceData="sourceData"
                :areasName="areasName"
                :paramVOS="paramVOS"
                :isShow="isShow">

  </dynamic-tree>
  <dynamic-custom v-else-if="componentVO.uiComponentType=='custom'"  :inDialog="inDialog"
                  :key="areasName+'custom-'+componentVO.oid"
                  :componentVO="componentVO"
                  :sourceData="sourceData"
                  :areasName="areasName"
                  :paramVOS="paramVOS"
                  :isShow="isShow">

  </dynamic-custom>
</template>

<script>
import dynamicTable from "@/components/dynamic-components/dynamic-table"
import dynamicForm from "@/components/dynamic-components/dynamic-form"
import dynamicTree from "@/components/dynamic-components/dynamic-tree"
import dynamicCustom from "@/components/dynamic-components/dynamic-custom"
export default {
  name: "dynamicIndex",
  components:{dynamicCustom, dynamicTree, dynamicForm, dynamicTable},
  props:{
    componentVO:{
      type:Object,
      default: {}
    },
    inDialog: {
      type: Boolean,
      default: false
    },
    areasName:{
      type:String,
      default:''
    },
    sourceData:{
      //菜单源数据或者弹窗时按钮所属区域的上一区域选中数据
      type:Object,
      default: {}
    },
    paramVOS:{
      type:Object,
      default: {}
    },
    isShow: {
      //所在区域是否已显示，针对tab和collapse
      type: Boolean,
      default: true
    },
  },
}
</script>

<style scoped>

</style>
